function y = branin(x)
% 
% Branin function 
% Matlab Code by A. Hedar (Sep. 29, 2005).
% The number of variables n = 2.
% Vectorized by Frank Hutter, July 18, 2006. x is now Nx2.
% 
%y = (x(2)-(5.1/(4*pi^2))*x(1)^2+5*x(1)/pi-6)^2+10*(1-1/(8*pi))*cos(x(1))+10;
y = (x(:,2)-(5.1/(4*pi^2)).*x(:,1).^2+5*x(:,1)/pi-6).^2+10*(1-1/(8*pi))*cos(x(:,1))+10;
