data = csvread('branintrajectory.cal')

hold off
plot_function
hold on
%Local search from best point
plot(data(1:32,1),data(1:32,2), 'ko') %Initial full factorial design
plot(data(33:41,1),data(33:41,2), 'b.') %first 9 data points
plot(data(42:48,1),data(42:48,2), 'bd') %second 9 data points, 2 apparently cached
plot(data(49:56,1),data(49:56,2), 'bs') %third 9 data points, 1 apparently cached
plot(data(57:64,1),data(57:64,2), 'b+') %fourth 9 data points, 1 apparently cached
plot(data(65:73,1),data(65:73,2), 'bx') %fifth 9 data points, 0 apparently cached

%Local search from worst point
plot(data(74:82,1),data(74:82,2), 'go') %moving to worst local minimum, 0 apparently cached
plot(data(83:89,1),data(83:89,2), 'rx') %second 9 data points, 2 apparently cached
plot(data(90:97,1),data(90:97,2), 'gs') %third 9 data points, 1 apparently cached
plot(data(98:105,1),data(98:105,2), 'r+') %fourth 9 data points, 1 apparently cached
plot(data(106:112,1),data(106:112,2), 'gd') %fifth 9 data points, 2 apparently cached
plot(data(113:120,1),data(113:120,2), 'r.') %2 apparently cached
plot(data(121:128,1),data(121:128,2), 'r.') %2 apparently cached
plot(data(129:135,1),data(129:135,2), 'r.') %2 apparently cached
plot(data(136:143,1),data(136:143,2), 'r.') %this is just a big smear in the LM region ...
plot(data(144:152,1),data(144:152,2), 'r.') 

% Combination of two LMs to form new starting point -> converging to same
% LM as second one.
plot(data(153:161,1),data(153:161,2), 'cs') %start just in the middle of the two
plot(data(162:169,1),data(162:169,2), 'cd') %choose lower right and keep epsilon constant
plot(data(170:177,1),data(170:177,2), 'c.') %same midpointh, half epsilon
plot(data(178:186,1),data(178:186,2), 'bx') %same midpointh, half epsilon
plot(data(187:195,1),data(187:195,2), 'cx') %same midpointh, half epsilon